summaryrefslogtreecommitdiffstats
path: root/tests/exe
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 04:13:55 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 04:15:09 (EDT)
commit312283d107604b5d889e3975137bcaae701fe903 (patch)
treecd15ca1fa877095478e8a3d2b3dc669cab0a947d /tests/exe
parent739da01da1b15e3a1011ccbeb0e7fb4dde7303ee (diff)
tests/exe/ob-buildenv.sh: New test file
Diffstat (limited to 'tests/exe')
-rwxr-xr-xtests/exe/ob-buildenv.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/exe/ob-buildenv.sh b/tests/exe/ob-buildenv.sh
new file mode 100755
index 0000000..d18402e
--- /dev/null
+++ b/tests/exe/ob-buildenv.sh
@@ -0,0 +1,53 @@
+# Tests for ob-buildenv
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+plan_ 1
+
+mkdir -p 'pkg/tmp/'
+cd 'pkg/'
+printf '2.0\n' >'format'
+cd 'tmp/'
+
+OPK_BUILD_ARCH='amd64-linux-glibc' OPK_HOST_ARCH='i686-linux-glibc' \
+ cmd_is 'ob-buildenv' ob-buildenv <<-EOF
+ PATH='${PATH}'
+ AR='i686-linux-glibc-ar'
+ AS='i686-linux-glibc-as'
+ CC='i686-linux-glibc-gcc'
+ CPP='i686-linux-glibc-cpp'
+ CXX='i686-linux-glibc-g++'
+ LD='i686-linux-glibc-ld'
+ NM='i686-linux-glibc-nm'
+ OBJCOPY='i686-linux-glibc-objcopy'
+ OBJDUMP='i686-linux-glibc-objdump'
+ RANLIB='i686-linux-glibc-ranlib'
+ READELF='i686-linux-glibc-readelf'
+ SIZE='i686-linux-glibc-size'
+ STRINGS='i686-linux-glibc-strings'
+ STRIP='i686-linux-glibc-strip'
+ OPK_TOOL_PREFIX='i686-linux-glibc-'
+ EOF
+
+cd '../../'
+rm -Rf 'pkg/'